ConcurrentQueryStatisticsImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat.internal
Class ConcurrentQueryStatisticsImpl

    java.lang.Object
      org.hibernate.stat.internal.CategorizedStatistics
          org.hibernate.stat.internal.ConcurrentQueryStatisticsImpl

All Implemented Interfaces:
  Serializable, QueryStatistics

    public class ConcurrentQueryStatisticsImpl

extends CategorizedStatistics
implements QueryStatistics

Query statistics (HQL and SQL)

Note that for a cached query, the cache miss is equals to the db count

See Also:
  Serialized Form

Method Summary
`long` | `getCacheHitCount()` Queries retrieved successfully from the cache
`long` | `getCacheMissCount()`
`long` | `getCachePutCount()`
`long` | `getExecutionAvgTime()` average time in ms taken by the excution of this query onto the DB
`long` | `getExecutionCount()` queries executed to the DB
`long` | `getExecutionMaxTime()` max time in ms taken by the excution of this query onto the DB
`long` | `getExecutionMinTime()` min time in ms taken by the excution of this query onto the DB
`long` | `getExecutionRowCount()` Number of lines returned by all the executions of this query (from DB) For now, `Query.iterate()` and `Query.scroll()()` do not fill this statistic
`String` | `toString()`

Methods inherited from class org.hibernate.stat.internal.CategorizedStatistics
`getCategoryName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getExecutionCount

    public long getExecutionCount()

  queries executed to the DB

  Specified by:
    `getExecutionCount` in interface `QueryStatistics`

### getCacheHitCount

    public long getCacheHitCount()

  Queries retrieved successfully from the cache

  Specified by:
    `getCacheHitCount` in interface `QueryStatistics`

### getCachePutCount

    public long getCachePutCount()

  Specified by:
    `getCachePutCount` in interface `QueryStatistics`

### getCacheMissCount

    public long getCacheMissCount()

  Specified by:
    `getCacheMissCount` in interface `QueryStatistics`

### getExecutionRowCount

    public long getExecutionRowCount()

  Number of lines returned by all the executions of this query (from DB) For now, `Query.iterate()` and `Query.scroll()()` do not fill this statistic

  Specified by:
    `getExecutionRowCount` in interface `QueryStatistics`
  Returns:
    The number of rows cumulatively returned by the given query; iterate and scroll queries do not effect this total as their number of returned rows is not known at execution time.

### getExecutionAvgTime

    public long getExecutionAvgTime()

  average time in ms taken by the excution of this query onto the DB

  Specified by:
    `getExecutionAvgTime` in interface `QueryStatistics`

### getExecutionMaxTime

    public long getExecutionMaxTime()

  max time in ms taken by the excution of this query onto the DB

  Specified by:
    `getExecutionMaxTime` in interface `QueryStatistics`

### getExecutionMinTime

    public long getExecutionMinTime()

  min time in ms taken by the excution of this query onto the DB

  Specified by:
    `getExecutionMinTime` in interface `QueryStatistics`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.